Advance Sandbox Wire V2
curl --request POST \
--url https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"simulation": {
"next_status": "scheduled"
}
}
'import requests
url = "https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance"
payload = { "simulation": { "next_status": "scheduled" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({simulation: {next_status: 'scheduled'}})
};
fetch('https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'simulation' => [
'next_status' => 'scheduled'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance"
payload := strings.NewReader("{\n \"simulation\": {\n \"next_status\": \"scheduled\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"simulation\": {\n \"next_status\": \"scheduled\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"simulation\": {\n \"next_status\": \"scheduled\"\n }\n}"
response = http.request(request)
puts response.read_body{}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server."
}{
"code": "token_invalid",
"message": "Your bearer token is expired, invalid, or lacks required scopes. Get a new token."
}{
"code": "object_not_found",
"message": "The requested object does not exist or is not visible to this caller."
}{
"code": "operation_invalid",
"message": "This operation isn't available for this object.",
"errors": [
{
"code": "object_status_terminal",
"message": "Wire wire_xyz001 is posted and can't be advanced."
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry after the limit resets."
}{
"code": "internal_server_error",
"message": "Something went wrong on our end. Contact Lead with the Request-Id if this persists."
}{
"code": "endpoint_disabled",
"message": "This endpoint is temporarily disabled. Retry after the indicated delay."
}{
"code": "gateway_timeout",
"message": "An upstream system timed out. Retry with backoff."
}Wire V2
Simulate Advance Wire
Advance a Wire in Sandbox.
POST
/
v2
/
simulate
/
wires
/
{wire_id}
/
advance
Advance Sandbox Wire V2
curl --request POST \
--url https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"simulation": {
"next_status": "scheduled"
}
}
'import requests
url = "https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance"
payload = { "simulation": { "next_status": "scheduled" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({simulation: {next_status: 'scheduled'}})
};
fetch('https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'simulation' => [
'next_status' => 'scheduled'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance"
payload := strings.NewReader("{\n \"simulation\": {\n \"next_status\": \"scheduled\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"simulation\": {\n \"next_status\": \"scheduled\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/simulate/wires/{wire_id}/advance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"simulation\": {\n \"next_status\": \"scheduled\"\n }\n}"
response = http.request(request)
puts response.read_body{}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server."
}{
"code": "token_invalid",
"message": "Your bearer token is expired, invalid, or lacks required scopes. Get a new token."
}{
"code": "object_not_found",
"message": "The requested object does not exist or is not visible to this caller."
}{
"code": "operation_invalid",
"message": "This operation isn't available for this object.",
"errors": [
{
"code": "object_status_terminal",
"message": "Wire wire_xyz001 is posted and can't be advanced."
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry after the limit resets."
}{
"code": "internal_server_error",
"message": "Something went wrong on our end. Contact Lead with the Request-Id if this persists."
}{
"code": "endpoint_disabled",
"message": "This endpoint is temporarily disabled. Retry after the indicated delay."
}{
"code": "gateway_timeout",
"message": "An upstream system timed out. Retry with backoff."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the wire object you want to advance.
Pattern:
^wire_\w+$Body
application/json
Show child attributes
Show child attributes
Response
Wire object advanced.
The response is of type object.
Was this page helpful?

